Line 1: Line 1:
sudo apt update
+
# sudo apt update
 
 
 
# sudo apt install python3.6 build-essentials git cmake
 
# sudo apt install python3.6 build-essentials git cmake
 
# sudo apt-get build-dep qt5-default
 
# sudo apt-get build-dep qt5-default
 
# sudo apt install libxcb-xinerama0-dev  
 
# sudo apt install libxcb-xinerama0-dev  
 +
 +
See https://wiki.qt.io/Building_Qt_5_from_Git
  
 
wget https://raw.githubusercontent.com/KDE/craft/master/setup/CraftBootstrap.py -O setup.py && python3.6 setup.py --prefix ~/CraftRoot
 
wget https://raw.githubusercontent.com/KDE/craft/master/setup/CraftBootstrap.py -O setup.py && python3.6 setup.py --prefix ~/CraftRoot

Revision as of 14:12, 14 November 2017

  1. sudo apt update
  2. sudo apt install python3.6 build-essentials git cmake
  3. sudo apt-get build-dep qt5-default
  4. sudo apt install libxcb-xinerama0-dev

See https://wiki.qt.io/Building_Qt_5_from_Git

wget https://raw.githubusercontent.com/KDE/craft/master/setup/CraftBootstrap.py -O setup.py && python3.6 setup.py --prefix ~/CraftRoot


Content is available under Creative Commons License SA 4.0 unless otherwise noted.